import {__decorate,__param,__metadata}from'tslib';import {injectable,inject}from'inversify';import {BulkDataLoader}from'@common-stack/store-mongo';import {TYPES}from'../constants/types.js';let CountryDataLoader = class CountryDataLoader extends BulkDataLoader {
    constructor(countryService) {
        super(countryService);
    }
};
CountryDataLoader = __decorate([
    injectable(),
    __param(0, inject(TYPES.CountryService)),
    __metadata("design:paramtypes", [Object])
], CountryDataLoader);export{CountryDataLoader};